Bug 201961 - Unable to change monitor vertical refresh
Unable to change monitor vertical refresh
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-nv (Show other bugs)
7
All Linux
medium Severity low
: ---
: ---
Assigned To: Adam Jackson
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-08-09 18:48 EDT by Olen
Modified: 2008-06-16 21:13 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-16 21:13:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
my Xorg.0.log, started with an xorg.conf (54.06 KB, text/plain)
2007-07-12 22:57 EDT, Olen
no flags Details
f7 xorg.conf file (780 bytes, text/plain)
2007-07-12 22:59 EDT, Olen
no flags Details
log file from starting x with monitor turned off (44.18 KB, application/octet-stream)
2007-07-12 23:26 EDT, Olen
no flags Details

  None (edit)
Description Olen 2006-08-09 18:48:35 EDT
Description of problem:
 After installation of FC6 test 2, the screen resolution was too wide for my 17
inch monitor, the clock was off the viewable area. I opened the screen
resolution tool (on the system->preferences menu) resolution and switched the
display down to 1280X1024. Everything was viewable, but it would not let me
set the refresh rate to 85 Hz.

Somtimes 800x600 is the highest resolution displayed in the tool.  Restarting
X-windows can change the resolutions this tool will let you pick.

Version-Release number of selected component (if applicable):


How reproducible:
Right now, I can never change the vertical refresh rate, its stuck a 60.

Steps to Reproduce:
1.
2.
3.
  
Actual results:
No way to change refresh rate.

Expected results:
To be able to change the refresh rate (even if at my own risk :) )


Additional info:
System AMD 64 bit Athlon 2400
200 GB SATA hard drive
512 MB Ram Memory
Gigabit ethernet
USB - printer HP PSC 1210
6600 GT Nvidia Video Card ( I don't often install NVIDIA's drivers,
if I'm not doing something that needs the extra performance. )
17" Samsung monitor synmaster 750s
On board VIA sound
ASUS A8V-E Deluxe Motherboard.
The monitor,keyboard, and mouse, are shared with another computer via a KVM.

This report comes from my post on fedoraforum.org, (reading it will help
understand this bug report better. )  Its title is :
FC6 Test 2 i386 observations
Comment 1 Adam Jackson 2006-09-07 21:41:24 EDT
What do you get when you run

xrandr -q

from a console window?
Comment 2 Fabrice Allibe 2006-09-23 03:18:22 EDT
Same issue met with G200 8MB and fc6test3.

By default, I get following output from xrandr -q
*0   1280 x 1024   ( 361mm x 271mm )  *85   75   60
but my monitor says it is 58.2Hz

When trying to force refresh, it does not change a lot: 

[fabrice@localhost ~]$ xrandr -r 60 ; xrandr -q | grep ^*
*0   1280 x 1024   ( 361mm x 271mm )   85   75  *60  
-> gives me 60.0Hz on monitor side

[fabrice@localhost ~]$ xrandr -r 75 ; xrandr -q | grep ^*
*0   1280 x 1024   ( 361mm x 271mm )   85  *75   60  
-> gives me 60.0Hz on monitor side

[fabrice@localhost ~]$ xrandr -r 85 ; xrandr -q | grep ^*
*0   1280 x 1024   ( 361mm x 271mm )  *85   75   60  
-> gives me 58.2Hz on monitor side

Comment 3 Matthew Miller 2007-04-06 12:30:04 EDT
Fedora Core 5 and Fedora Core 6 are, as we're sure you've noticed, no longer
test releases. We're cleaning up the bug database and making sure important bug
reports filed against these test releases don't get lost. It would be helpful if
you could test this issue with a released version of Fedora or with the latest
development / test release. Thanks for your help and for your patience.

[This is a bulk message for all open FC5/FC6 test release bugs. I'm adding
myself to the CC list for each bug, so I'll see any comments you make after this
and do my best to make sure every issue gets proper attention.]
Comment 4 Matěj Cepl 2007-07-11 17:35:59 EDT
Reporter, I am sorry, that we have left this bug unnoticed for so long, but
could you confirm please, that this bug still could be reproduced with the
latest updates of your distribution of Fedora?

Unless you will reply in a month, I will have to close this bug as
INSUFFICIENT_DATA.

Thanks.
Comment 5 Olen 2007-07-11 21:37:52 EDT
Hi,

I tried this tonight on f7 (now using 64 bit).  But system-config-display still
doesn't show the highest modes my monitor is capable of.  Also it doesn't
recognize my monitor,  I have to select the Samsung 750s(T) from the list of all
monitors.

So yes,  I would say this is still a problem.

I do have a kvm between the video card and the monitor, but it was set to this
computer the entire time.   When I have the kvm not set to a computer I do seem
to be able to get the higher resolutions available for selection
Comment 6 Matěj Cepl 2007-07-12 08:43:36 EDT
Just to be sure we are not screwed up by KVM, could you please try to test this
without it? However, we will keep this as bug for F7 whatever the results of
your test (with or without KVM connected it should work correctly).

In order to have updated informations, could you please attach your X server
config file (/etc/X11/xorg.conf) and X server log file (/var/log/Xorg.*.log) to
the bug report as individual uncompressed file attachments using the bugzilla
file attachment link below?

Could you please also try to run without any /etc/X11/xorg.conf whatsoever and
let X11 autodetect your display and video card? Attach to this bug
/var/log/Xorg.0.log from this attempt as well, please.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 7 Olen 2007-07-12 22:57:12 EDT
Created attachment 159115 [details]
my Xorg.0.log, started with an xorg.conf

This is Xorg log file
Comment 8 Olen 2007-07-12 22:59:24 EDT
Created attachment 159116 [details]
f7 xorg.conf file

my f7 xorg.conf
This was created in an autoprobed seesion, by system-config-display, when I set
the monitor type
Comment 9 Olen 2007-07-12 23:06:18 EDT
I need to re-update this.  I wasn't using the same utility, and I realize what 
I was trying to do in the original report is impossible.
The monitor can do 1280x1024 but at 66Hz not 85Hz.  Its recommended mode is
1024x768 at 85Hz.   I don't remember if I wanted to put a 65 or an 85 in the
first report.

In any event,  I had switched to KDE, so I had to install and switch back to
GNOME to use the "Screen Resolution" tool of GNOME that my first report is on. 
Now 85Hz is always available, at 1024x768.  The higher resmod of 1280x1024 is
still not available, even when I select a frequency low enough to support it
such as 65.

The only problem on f7 is I can't get to the 1280x1024 mode.  Its is now clearly
possible to change the refresh rate of the 1024x768 mode.  But I no longer ever
get stuck with an 800x600 mode

If nothing jumps out about the logs as to whats keeping a 1280x1024 at 60 or 66
from showing up in the "Screen Resolution" utility, then I don't know if any
further work would be warranted.  I would reclassify as very low priority.
Comment 10 Olen 2007-07-12 23:26:12 EDT
Created attachment 159119 [details]
log file from starting x with monitor turned off

This log file shows what happens if the monitor is turned off, no xorg.conf
file exists.  It proves another statement I made earlier is incorrect.	In this
configuration turning the monitor on after realizing that X was started.

Procedure
1) Log into X
2) delete xorg.conf
3) Turn off monitor
4) hit Ctrl-Alt-Backspace to kill current X
5) When here beep of X having restart to login screen, login again, keep
monitor off.
6) Once sure GNOME is started turn monitor on.
7) The max resolution in "Screen Resolution" is 800x600, with no way to get any
higher.

I don't know that this behavior is incorrect though, it may be the safest thing
to do.	I just thought I would add this scenario to our  data points.
Comment 11 Fabrice Allibe 2007-07-13 00:58:41 EDT
The refresh rate issue I reported for G200 with fc6test3 was fixed in fc6 release.
It is still working fine for me with fc7 (G200 8MB + iiyama Vision Master 1451 @
1280x1024 85Hz 16bits)

Best regards
Comment 12 Bug Zapper 2008-05-14 08:02:50 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 13 Bug Zapper 2008-06-16 21:13:15 EDT
Fedora 7 changed to end-of-life (EOL) status on June 13, 2008. 
Fedora 7 is no longer maintained, which means that it will not 
receive any further security or bug fix updates. As a result we 
are closing this bug. 

If you can reproduce this bug against a currently maintained version 
of Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.